IntegrationsSiigo

Get the Siigo company behind the API user: company key, plan, and API user identity.

POST
/integrations/connections/{connection_id}/providers/siigo/company/get

Get the Siigo company behind the API user: company key, plan, and API user identity.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/siigo/company/get" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "example",  "name": "Customer documents",  "identification": {    "type": "run.completed",    "number": "example",    "check_digit": "example"  },  "email": "ada@example.com",  "regime": "example",  "person_type": "legal",  "currency": "example",  "country": "example",  "timezone": "example",  "electronic_invoicing": false,  "address": {    "line": "example",    "city": "example",    "state": "example",    "country": "example",    "postal_code": "example"  }}